# Uses of Interface
ch.qos.logback.core.net.SocketConnector

Packages that use SocketConnector
Package
Description
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.

## Uses of SocketConnector in ch.qos.logback.classic.net

Methods in ch.qos.logback.classic.net that return SocketConnector
Modifier and Type
Method
Description
`protected SocketConnector`
SocketReceiver.`newConnector(InetAddress address, int port, int initialDelay, int retryDelay)`
Methods in ch.qos.logback.classic.net with parameters of type SocketConnector
Modifier and Type
Method
Description
`void`
SocketReceiver.`connectionFailed(SocketConnector connector, Exception ex)`

## Uses of SocketConnector in ch.qos.logback.core.net

Classes in ch.qos.logback.core.net that implement SocketConnector
Modifier and Type
Class
Description
`class`
`DefaultSocketConnector`
Default implementation of `SocketConnector`.
Methods in ch.qos.logback.core.net that return SocketConnector
Modifier and Type
Method
Description
`protected SocketConnector`
AbstractSocketAppender.`newConnector(InetAddress address, int port, long initialDelay, long retryDelay)`
Creates a new `SocketConnector`.
Methods in ch.qos.logback.core.net with parameters of type SocketConnector
Modifier and Type
Method
Description
`void`
AbstractSocketAppender.`connectionFailed(SocketConnector connector, Exception ex)`
`void`
SocketConnector.ExceptionHandler.`connectionFailed(SocketConnector connector, Exception ex)`